<?php
include_once "settings.php";
include_once "function.php";

if($_POST['backlink_page']){
	$msg = formCheck($_POST);
	if($msg == ""){
		if($_POST['backlink_page'] == ""){
			$msg =  "このリンク集へリンクされたページのURLが入力されていません";
		}else if(!sameDomain($_POST['url'], $_POST['backlink_page'])){
			$msg =  "相互リンクを貼るページは、あなたのサイトと同じドメインである必要があります";
		}else if(!checkBacklink($_POST['backlink_page'])){
			$msg = "リンクが正しく設置されていません";
		}else{
			//追加
			if(addLink($_POST['name'], $_POST['mail'], $_POST['site_name'], $_POST['url'], $_POST['site_detail'], $_POST['backlink_page'], "USER")){
				//MAIL
				$subject = $settings['regist_subject'];
				$message = replaceSettings($settings['regist_message']);
				
				//リストの前後に入れるか判定
				if($settings['add_to'] == 0){
					$link_num = 1;
				}else{
					$link_num = getListArrayNum( count(file($settings['linkfile']))-1 ) + 1;
				}
				
				//SAFE_MODEか確認
				if(isSafeMode()){
					$file_name = "link.php?p=".$link_num;
				}else{
					$file_name = "link".$link_num.".php";
				}
				
				//messageを置換
				$message = str_replace("<<sub_directory>>", $settings['sub_directory'], $message);
				$message = str_replace("<<link_num>>", $link_num, $message);
				$message = str_replace("<<file_name>>", $file_name, $message);

				$msg = "あなたのサイトを相互リンク集".$link_num."に登録しました。<br><a href=\"".$settings['hostname'].$settings['sub_directory'].$file_name."\">".$settings['hostname'].$settings['sub_directory'].$file_name."</a>";
				
				$header = "From: " . $settings['admin_email'];

				@user_mail_wrapper($_POST['mail'] ,$subject, $message, $header);
				if($settings['notify'] != 0){
					@user_mail_wrapper($settings['admin_email'] ,$subject, $message, $header);
				}

				makeSite();
			}else{
				$msg = "リンク集に登録されませんでした。<br>登録作業を最初からやり直してください。";
			}
		}
	}
}

?>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title><?=$settings['site_name']?>への登録</title>
</head>
<body>
	<div>

<?php
if($msg != ""){
	print $msg . "<br>";
	print "<input type=\"button\" value=\"戻る\" onClick=\"history.back()\">";
}else{
?>
		<form method="POST">
			<table>
				<tr>
					<td>名前/HN</td>
					<td><input type="text" name="name" size="20"></td>
				</tr>
				<tr>
					<td>E-mail</td>
					<td><input type="text" name="mail" size="20"></td>
				</tr>
				<tr>
					<td>サイト名</td>
					<td><input type="text" name="site_name" size="20"></td>
				</tr>
				<tr>
					<td>サイトのURL</td>
					<td><input type="text" name="url" size="20" value="http://"></td>
				</tr>
				<tr>
					<td>サイト説明</td>
					<td><input type="text" name="site_detail" size="20"></td>
				</tr>
				<tr>
					<td>このリンク集へリンクされたページのURL</td>
					<td><input type="text" name="backlink_page" size="20" value="http://"></td>
				</tr>
				<tr>
					<td colspan="2">
						<input type="submit" value="リンクを追加">
						<input type="button" value="リンク集へ戻る" onClick="location.href='<?=$settings['hostname']?><?=$settings['sub_directory']?>link.php'">
					</td>
				</tr>
			</table>
		</form>
<? } ?>
	</div>
</body>
</html>
