<?php
session_start();
include_once "settings.php";
include_once "function.php";

if(isset($_POST['pass'])){
	if($settings['apass'] == $_POST['pass']){
		$_SESSION['auth'] = true;
	}else{
		$_SESSION['auth'] = false;
		$msg = "<div>ログインできませんでした</div>";
	}
}else{
	if(!isset($_SESSION['auth'])){
		$_SESSION['auth'] = false;
	}
}
?>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title><?=$settings['site_name']?> 管理者画面</title>
</head>
<body>
<center>
<?php
if($_SESSION['auth']){
	if($_POST['act'] == "del_record"){
		if(isset($_POST['del_num']) && is_numeric($_POST['del_num'])){
			deleteSite();

			$lines = file($settings['linkfile']);
			$new_lines = array();
			foreach($lines as $key=>$line){
				if($key != $_POST['del_num'])
					$new_lines[] = trim($line);
			}
			$lines = implode("\n", $new_lines);

			$fp = fopen($settings['linkfile'] . ".new", "w+");
			if(fwrite($fp, $lines. "\n") || $lines == ""){
				unlink($settings['linkfile']);
				rename($settings['linkfile'] . ".new", $settings['linkfile']);
				$msg = "リンクは削除されました";
			}else{
				@unlink($settings['linkfile'] . ".new");
				$msg = "リンクは削除されませんでした。<br>削除作業を最初からやり直してください。";
			}
			fclose($fp);

			makeSite();
		}else{
			$msg = "リンクは削除されませんでした。<br>削除作業を最初からやり直してください。";
		}
	}else if($_POST['act'] == "new_record"){
		$msg = formCheck($_POST);
		if($msg == ""){
			//追加
			if(addLink($_POST['name'], $_POST['mail'], $_POST['site_name'], $_POST['url'], $_POST['site_detail'], $_POST['backlink_page'], "ADMIN")){
				//MAIL
				$subject = $settings['regist_subject'];
				$message = replaceSettings($settings['regist_message']);
				
				//リストの前後に入れるか判定
				if($settings['add_to'] == 0){
					$link_num = 1;
				}else{
					$link_num = getListArrayNum( count(file($settings['linkfile']))-1 ) + 1;
				}
				
				//SAFE_MODEか確認
				if(isSafeMode()){
					$file_name = "link.php?p=".$link_num;
				}else{
					$file_name = "link".$link_num.".php";
				}
				
				$message = str_replace("<<sub_directory>>", $settings['sub_directory'], $message);
				$message = str_replace("<<link_num>>", $link_num, $message);
				$message = str_replace("<<file_name>>", $file_name, $message);

				$header = "From: " . $settings['admin_email'];

				@user_mail_wrapper($_POST['mail'] ,$subject, $message, $header);

				$msg = "リンク集に登録されました";

				makeSite();
			}else{
				$msg = "リンク集に登録されませんでした。<br>登録作業を最初からやり直してください。<br><br>";
				$msg .= "[Warning]ファイルの書き込み権限が不足している可能性があります。<br>".$settings['linkfile']."ファイルの権限を確認のうえ、'666'もしくは'606'に変更してください";
			}
		}
	}else if($_POST['act'] == "link_check"){
		deleteSite();

		$lines = file($settings['linkfile']);
		$new_lines = array();

		foreach($lines as $line){
			$data = split("\t", $line);
			if(checkBacklink($data[5]) || trim($data[6]) == "ADMIN"){
				$new_lines[] = trim($line);
			}
		}
		$lines = implode("\n", $new_lines);

		$fp = fopen($settings['linkfile'] . ".new", "w+");
		if(fwrite($fp, $lines . "\n") || $lines == ""){
			unlink($settings['linkfile']);
			rename($settings['linkfile'] . ".new", $settings['linkfile']);
		}else{
			unlink($settings['linkfile'] . ".new");
			$msg = "リンクチェックでエラーが発生しました。<br>作業を最初からやり直してください。";
		}
		fclose($fp);
		
		makeSite();
	}
	unset($_POST['act']);

	$lists = array();
	$num = 0;
	$lines = file($settings['linkfile']);
	if(!is_array($lines)){
		$lines = array();
	}

	foreach($lines as $key=>$line){
		$data = split("\t", $line);
		$ii = getListArrayNum($key);
		$jj = getListNum($key);

		$lists[$ii][$jj]  = '<tr>';
		$lists[$ii][$jj] .= '<td><input type="button" value="削除" onClick="del('.$key.')"></td>';
		$lists[$ii][$jj] .= '<td>'.(getListNum($key)+1).'</td>';
		$lists[$ii][$jj] .= '<td><a href="'.$data[3].'">'.$data[2].'</a></td>';
		$lists[$ii][$jj] .= '<td><a href="'.$data[3].'">'.$data[3].'</a></td>';
		$lists[$ii][$jj] .= '<td>'.$data[4].'</td>';
		$lists[$ii][$jj] .= '</tr>';
	}

	foreach($lists as $key=>$list){
		$list_html  = '<div>';
		$list_html .= '<div style="font-weight: bold;">link'.($key+1).'</div>';
		$list_html .= '<div style="overflow: scroll; height: 400px;">';
		$list_html .= '<table border="1">';
		$list_html .= '<tr><th>&nbsp;</th><th>No.</th><th>サイト名</th><th>URL</th><th>サイトの説明</th></tr>';
		$list_html .= implode("\n", $list);
		$list_html .= '</table>';
		$list_html .= '</div>';
		$list_html .= '</div>';

		$lists[$key] = $list_html;
	}

	$lists = implode("\n", $lists);
?>
	<div><?=$msg?></div>
	<div>
		<form method="POST">
			<input type="hidden" name="act" value="link_check">
			<b>リンクが相互になっているかをチェック</b>
			<input type="submit" value="チェック">
		</form>
	</div>
	<hr>
	<div>
		<form method="POST">
			<input type="hidden" name="act" value="new_record">
			<b>リンクの追加</b>
			<table>
				<tr>
					<td>名前/HN</td>
					<td><input type="text" name="name" size="20"></td>
				</tr>
				<tr>
					<td>E-mail</td>
					<td><input type="text" name="mail" size="20"></td>
				</tr>
				<tr>
					<td>サイト名</td>
					<td><input type="text" name="site_name" size="20"></td>
				</tr>
				<tr>
					<td>サイトのURL</td>
					<td><input type="text" name="url" size="20" value="http://"></td>
				</tr>
				<tr>
					<td>サイト説明</td>
					<td><input type="text" name="site_detail" size="20"></td>
				</tr>
				<tr>
					<td>このリンク集へリンクされたページのURL</td>
					<td><input type="text" name="backlink_page" size="20" value="http://"></td>
				</tr>
				<tr>
					<td colspan="2"><input type="submit" value="リンクを追加"></td>
				</tr>
			</table>
		</form>
	</div>
	<hr>
	<div>
		<form method="POST" name="del_record_form">
			<input type="hidden" name="act" value="del_record">
			<input type="hidden" name="del_num" value="">
			<?=$lists?>
		</form>
	</div>
<? }else{ ?>
	<div>
	<?=$msg?>
	<form method="POST">
		<input type="text" name="pass">
		<input type="submit" value="ログイン">
	</form>
	</div>
<? } ?>

<script language="javascript">
<!--
	function del(num){
		document.del_record_form.del_num.value = num;
		document.del_record_form.submit();
	}
//-->
</script>
</center>
</body>
</html>
